### Function

# Camel yencode_close

#### Declaration [src]

    gsize
    camel_yencode_close (
      const guchar* in,
      gsize inlen,
      guchar* out,
      gint* state,
      guint32* pcrc,
      guint32* crc
    )

#### Description [src]

Call this function when finished encoding data with `camel_yencode_step()` to flush off the remaining state.

# CAMEL_MIME_YENCODE_CRC_FINAL (`pcrc`) will give you the crc32 of the

encoded “part”. If there are more “parts” to encode, you should re-use `crc` when encoding the next “parts” and then use

# CAMEL_MIME_YENCODE_CRC_FINAL (`crc`) to get the combined crc32 value of

all the parts.

#### Parameters

`in`

  Type: An array of `guchar`

  Input buffer.

  The length of the array is specified in the `inlen` argument.
  The data is owned by the caller of the function.

`inlen`

  Type: `gsize`

  Input buffer length.

`out`

  Type: An array of `guchar`

  Output buffer.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`state`

  Type: `gint*`

  Yencode state.

  The argument will be set by the function.

`pcrc`

  Type: `guint32*`

  Part crc state.

  The argument will be set by the function.

`crc`

  Type: `guint32*`

  Crc state.

  The argument will be set by the function.

#### Return value

Type: `gsize`

The number of bytes encoded.